%define	version	0.8.23
%define	release	%mkrel 1

Summary:	Globulation 2 - Free software RTS game with a new take on micro-management
Name:		globulation2
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
Source0:	glob2-%{version}.tar.bz2
Source1:	globulation216.png
Source2:	globulation232.png
Source3:	globulation248.png
URL:		http://globulation2.org/
BuildRequires:	autoconf2.5 freetype-devel oggvorbis-devel SDL-devel
BuildRequires:	SDL_image-devel SDL_net-devel speex-devel SDL_ttf-devel
BuildRequires:	boost-devel MesaGLU-devel desktop-file-utils zlib-devel
BuildRequires:	libxorg-x11-devel

BuildRoot:	%{_tmppath}/globulation2-%{version}-%{release}-buildroot

%description
Globulation is an innovative Real-Time Strategy (RTS) game which
reduces micro-management by automatically assigning tasks to units.
Glob2 is Free Software, licensed and distributed under the GNU General
Public License.

Globulation brings a new type of gameplay to RTS games. The player
chooses the number of units to assign to various tasks, and the units
do their best to satisfy the requests. This allows players to manage
more units and focus on strategy rather than individual unit's jobs.

Globulation also features AI allowing single-player games or any
possible combination of human-computer teams. Also included is a
scripting language for versatile gameplay or tutorials and an
integrated map editor.

Globulation can be played in single player mode, through your local
network, or over the Internet with Ysagoon Online Gaming (YOG).

%prep
%setup -q -n glob2-%{version}

%build
rm -f missing
aclocal
autoheader
automake --add-missing
autoconf-2.5x
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
CPPFLAGS="`pkg-config --cflags speex`"
%make

%install
rm -rf %{buildroot}

%makeinstall_std
for d in applications pixmaps; do
  mv %{buildroot}%{_gamesdatadir}/$d %{buildroot}%{_datadir}
done

install -m644 %{SOURCE1} -D %{buildroot}%{_miconsdir}/globulation2.png
install -m644 %{SOURCE2} -D %{buildroot}%{_iconsdir}/globulation2.png
install -m644 %{SOURCE3} -D %{buildroot}%{_liconsdir}/globulation2.png

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/globulation2  <<EOF
?package(%name): \ 
command="%{_gamesbindir}/glob2" needs="X11" \
icon="globulation2.png" \
section="More Applications/Games/Strategy" \
title="Globulation2"  \
longtitle="Globulation 2 - Free software RTS game with a new take on micro-management" \
xdg="true"
EOF

desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--add-category="X-MandrivaLinux-MoreApplications-Games-Strategy" \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_gamesbindir}/glob2
%dir %{_gamesdatadir}/glob2
%{_gamesdatadir}/glob2/*
%{_menudir}/globulation2
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_iconsdir}/globulation2.png
%{_liconsdir}/globulation2.png
%{_miconsdir}/globulation2.png


%changelog
* Thu Apr 18 2007 Kieran <kieran776@gmail.com> 0.8.23-1mdv2007.0
- 0.8.23

* Thu Apr 16 2007 Kieran <kieran776@gmail.com> 0.8.22-1mdv2007.0
- 0.8.22

* Mon Dec 04 2006 Olivier Blin <oblin@mandriva.com> 0.8.21-6mdv2007.0
+ Revision: 90546
- fix pixmaps location
- Import globulation2

* Tue Sep 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.21-5mdv2007.0
- bag one final buildrequires!

* Tue Sep 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.21-4mdv2007.0
- more buildrequires*#¤"#%"&¤&%

* Mon Sep 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.21-3mdv2007.0
- fix buildrequires

* Mon Sep 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.21-2mdv2007.0
- fix xdg menu

* Thu Aug 17 2006 Lenny Cartier <lenny@mandriva.com> 0.8.21-1mdv2007.0
- 0.8.21
- xdg

* Tue May 17 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.15-1mdk
- 0.8.15

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.12-1mdk
- 0.8.12

* Wed Jan 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.11-1mdk
- 0.8.11

* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.10-1mdk
- 0.8.10

* Tue Oct 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.9-1mdk
- 0.8.9

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-1mdk
- 0.8.6
- cleanups
- move stuff to %%{_gamesbindir} and %%{_gamesdatadir}
- fix menu section
- fix icon
- fix buildrequires

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.5-3mdk
- rebuild for new g++

* Fri May 14 2004 Antoine Ginies <aginies@n2.mandrakesoft.com> 0.8.5-2mdk
- merge diff between version

*Sun May 02 2004 Bruno VASTA <bruno.vasta@infodia.fr>                                     |
- initial mdk rpm release, based on an old Che's fedora package 

* Sat Mar 20 2004 Che
- initial rpm release
